/*	Look at absolute address for debugging (PDP Ted)	*/
/*	since there is no room for ODT in PDP Ted		*/
/*	Don't use PRINTF as its in the cluster library		*/


#define	then

cexam(s)
char *s;
{
	unsigned int val,*ip ;
	char *cp,ch ;

	val = 0 ;
	while ( *s ) val = (val << 3) + ( *s++ - '0' ) ;
	cp = ip = val ;
	ch = *cp ;
	putbin("Address:",0) ;
	oprt(val) ;
	putbin("   Byte: ",0) ;
	oprt(ch) ;
	if ( (val & 1) == 0 ) { putbin("  Word: ",0); oprt(*ip) ; } ;
	putbin("\015\012",0) ;
}
	  

static oprt(val)
unsigned int val ;
{
	char s[10], *cp ;
	int i ;

	for (cp = s,i=10; i > 0 ; i--) *cp++ = ' ' ;
	cp = &s[10] ;
	*cp-- = 0 ;
	if ( val == 0 )
	  then *cp = '0' ;
	  else while (val) { *cp-- = (val % 010) + 060 ; val /= 010 ; } ;
	putbin(s,0) ;
}
